Commit 2d42d99c authored by Iain Lane's avatar Iain Lane Committed by Sebastian Dröge

Only use AV_CODEC_ID_WRAPPED_AVFRAME on new enough libavcodecs

https://bugzilla.gnome.org/show_bug.cgi?id=770753
parent 8612bf25
......@@ -2044,8 +2044,11 @@ gst_ffmpegviddec_register (GstPlugin * plugin)
|| in_plugin->id == AV_CODEC_ID_Y41P
|| in_plugin->id == AV_CODEC_ID_012V
|| in_plugin->id == AV_CODEC_ID_YUV4
|| in_plugin->id == AV_CODEC_ID_ZLIB
|| in_plugin->id == AV_CODEC_ID_WRAPPED_AVFRAME) {
#if AV_VERSION_INT (LIBAVCODEC_VERSION_MAJOR, LIBAVCODEC_VERSION_MINOR, LIBAVCODEC_VERSION_MICRO) >= \
AV_VERSION_INT (57,4,0)
|| in_plugin->id == AV_CODEC_ID_WRAPPED_AVFRAME
#endif
|| in_plugin->id == AV_CODEC_ID_ZLIB) {
goto next;
}
......
......@@ -966,8 +966,11 @@ gst_ffmpegvidenc_register (GstPlugin * plugin)
|| in_plugin->id == AV_CODEC_ID_Y41P
|| in_plugin->id == AV_CODEC_ID_012V
|| in_plugin->id == AV_CODEC_ID_YUV4
|| in_plugin->id == AV_CODEC_ID_ZLIB
|| in_plugin->id == AV_CODEC_ID_WRAPPED_AVFRAME) {
#if AV_VERSION_INT (LIBAVCODEC_VERSION_MAJOR, LIBAVCODEC_VERSION_MINOR, LIBAVCODEC_VERSION_MICRO) >= \
AV_VERSION_INT (57,4,0)
|| in_plugin->id == AV_CODEC_ID_WRAPPED_AVFRAME
#endif
|| in_plugin->id == AV_CODEC_ID_ZLIB) {
goto next;
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment